Subject: bug#18881: 24.3; Escaping of MML tags is not documented

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Jan 2017 21:48:01 +0100

Sorry for the late response; the bug report has been sitting in a part
of the bug tracker that nobody has looked at due to a misunderstanding.

Demetrios Obenour <[email-masked]> writes:

> There is no documented way to escape tags for MML messages. If I want
> to send a message containing <#part type=text/html>, I must
> send <#!part type=text/html> -- in other words, add an exclamation
> point after the #. This is not documented anywhere that I can find;
> this is thus a bug in the documentation. I only discovered it by using
> the mml-to-mime function. Also, escaped MML tags (with the exclamation
> marks) are not highlighted in mail-mode, so there is no clue that they
> are not literal text; this is a bug in mail-mode.

I've now included a paragraph on quoting MML tags in the manual in the
Emacs trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no